<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# netbox

This role installs or updates the [NetBox IPAM/DCIM
System](https://github.com/netbox-community/netbox).

By default, it installs in `/opt/netbox`, which is a symlink to
`/opt/netbox-<version>`

Media and other uploaded files are stored in `/opt/netbox_media`

This role runs the `update.sh` script during execution, which handles initial
database creation, upgrade migration, etc.

## Requirements

Must have PostgreSQL and Redis roles installed.

Likely also want to have the NGINX webserver, configured to proxy to gunicorn,
and to serve static files directly:

```
    proxy_pass: "http://localhost:8001"
    extra_config: |
      location /static/ {
          alias /opt/netbox/netbox/static/;
      }
```

Minimum ansible version: 2.9.5

## Defaults

See `defaults/main.yml`.  Most of these variables are either related to the
database, the initial superuser on the site, or specific to Netbox, in which
case you should refer to the [NetBox
documentation](https://netbox.readthedocs.io/en/stable/).

## Example Playbook

```yaml
- hosts: netbox
  roles:
    - nginx
    - postgres
    - redis
    - netbox
```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
